import json

import requests
class GPT4oMini:

    @classmethod
    def get_ai_mini_early(cls, title):
        url = "http://aigc-api.cybertogether.net//aigc/dev/test/gpt"
        payload = json.dumps({
            "imageList": [],
            "model": "gpt-4o-mini-2024-07-18",
            "prompt": (
                "判断标题是否适合早上发，比如包含早上好、早安等....如果该标题包含日期是否为当天日期 如果符合则返回是，如果不符合则返回否"
                f"请严格按照示例输出，是否符合早上发：{title}，返回是否结果。"
            ),
            "responseFormat": {
                "type": "json_schema",
                "json_schema": {
                    "strict": True,
                    "name": "share_script_result",
                    "schema": {
                        "type": "object",
                        "properties": {
                            "是否": {
                                "type": "string",
                                "description": "是否"
                            }
                        },
                        "required": ["是否"],
                        "additionalProperties": False
                    }
                }
            }
        })
        headers = {'Content-Type': 'application/json'}
        try:
            response = requests.post(url, headers=headers, data=payload)
            response_data = response.json()

            data = json.loads(response_data.get('data', '{}'))
            new_title = data["是否"]
            return new_title
        except Exception as e:
            return "否"

if __name__ == '__main__':
    title = GPT4oMini.get_ai_mini_early("❤️早上好！今天是3月3日！春暖花开鸟语花香，愿我们都幸福安康！")
    print(title)