import json
import sys
import time

import schedule
from loguru import logger


sys.path.append('/app')
from utils.sql_help import sqlCollect
from utils.redis import RedisHelper




def bot_get_video_id():
    try:
        logger.info(f"[R] 开始获取早上好数据任务")
        redis_task = 'task:pq_hour_early'
        data = sqlCollect.select_hour_data()
        if not data:
            return
        RedisHelper().get_client().rpush(redis_task, *(json.dumps(item) for item in data))
        logger.info(f"[R] 早上好数据写入Redis 成功 共写入 {len(data)} 条")
    except Exception as e:
        logger.error(f"[R] 早上好数据写入Redis写入失败，失败信息{e}")

def schedule_tasks():
    schedule.every().hour.at(":05").do(bot_get_video_id)



if __name__ == "__main__":
    schedule_tasks()  # 调用任务调度函数
    while True:
        schedule.run_pending()
        time.sleep(1)  # 每秒钟检查一次

    # bot_get_video_id()
